Loading...
Searching...
No Matches
Dune::PropertyMapTraits< PM > Struct Template Reference

`#include <dune/common/propertymap.hh>`

Inheritance diagram for Dune::PropertyMapTraits< PM >:

## Public Types

typedef PM::KeyType | KeyType
| The type of the key of the property map.
typedef PM::ValueType | ValueType
| The type of the values of the property map.
typedef PM::Reference | Reference
| The type of the reference to the values.
typedef PM::Category | Category
| The category the property map belongs to.

## Member Typedef Documentation

## Category

template<class PM>

typedef PM::Category Dune::PropertyMapTraits< PM >::Category

The category the property map belongs to.

## KeyType

template<class PM>

typedef PM::KeyType Dune::PropertyMapTraits< PM >::KeyType

The type of the key of the property map.

## Reference

template<class PM>

typedef PM::Reference Dune::PropertyMapTraits< PM >::Reference

The type of the reference to the values.

## ValueType

template<class PM>

typedef PM::ValueType Dune::PropertyMapTraits< PM >::ValueType

The type of the values of the property map.

The documentation for this struct was generated from the following file:

- propertymap.hh